package Modelo;
// Generated 3 mar. 2022 17:58:56 by Hibernate Tools 4.3.1


import java.math.BigDecimal;

/**
 * DetalleOrden generated by hbm2java
 */
public class DetalleOrden  implements java.io.Serializable {


     private int idDetalleOrden;
     private Orden orden;
     private Producto producto;
     private int cantidad;
     private BigDecimal precio;

    public DetalleOrden() {
    }

    public DetalleOrden(int idDetalleOrden, Orden orden, Producto producto, int cantidad, BigDecimal precio) {
       this.idDetalleOrden = idDetalleOrden;
       this.orden = orden;
       this.producto = producto;
       this.cantidad = cantidad;
       this.precio = precio;
    }
   
    public int getIdDetalleOrden() {
        return this.idDetalleOrden;
    }
    
    public void setIdDetalleOrden(int idDetalleOrden) {
        this.idDetalleOrden = idDetalleOrden;
    }
    public Orden getOrden() {
        return this.orden;
    }
    
    public void setOrden(Orden orden) {
        this.orden = orden;
    }
    public Producto getProducto() {
        return this.producto;
    }
    
    public void setProducto(Producto producto) {
        this.producto = producto;
    }
    public int getCantidad() {
        return this.cantidad;
    }
    
    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }
    public BigDecimal getPrecio() {
        return this.precio;
    }
    
    public void setPrecio(BigDecimal precio) {
        this.precio = precio;
    }




}


